at/rfc822norm/make pp-6.0-linux/Format/rfc822norm/make
--- pp-6.0/Format/rfc822norm/make	Wed Aug 21 07:52:41 1991
+++ pp-6.0-linux/Format/rfc822norm/make	Tue Aug 31 09:53:54 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Format/rfc822norm/rfc822norm.c pp-6.0-linux/Format/rfc822norm/rfc822norm.c
--- pp-6.0/Format/rfc822norm/rfc822norm.c	Wed Dec 18 20:20:55 1991
+++ pp-6.0-linux/Format/rfc822norm/rfc822norm.c	Thu Sep  2 10:19:18 1993
@@ -24,6 +24,10 @@
 #include	"retcode.h"
 #include	"adr.h"
 
+#ifdef isblank
+#undef isblank
+#endif
+
 #define	OPT_822		1
 #define OPT_733		2	
 #define	OPT_JNT		3
diff -u --recursive --new-file pp-6.0/Format/rfc934/make pp-6.0-linux/Format/rfc934/make
--- pp-6.0/Format/rfc934/make	Wed Aug 21 07:52:41 1991
+++ pp-6.0-linux/Format/rfc934/make	Tue Aug 31 09:54:00 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/Makefile pp-6.0-linux/Lib/Makefile
--- pp-6.0/Lib/Makefile	Wed Dec 18 20:26:15 1991
+++ pp-6.0-linux/Lib/Makefile	Fri Jul  8 14:12:06 1994
@@ -33,6 +33,21 @@
 	@for x in ${SUBDIRS} ; \
 	do (echo "cd $$x; $(MAKE)"; cd $$x ; $(MAKE) ) ; done
 
+linux-lib:
+	@for x in ${SUBDIRS} ; \
+	do (echo "cd $$x; $(MAKE) linux-lib"; \
+		cd $$x; \
+		JUMP_DIR=../../jump JUMP_LIB=libpp JUMP_OPT=-B/usr/dll/jump/ \
+		$(MAKE) linux-lib) ; done
+	@JUMP_DIR=../jump JUMP_LIB=libpp JUMP_OPT=-B/usr/dll/jump/ \
+		$(MAKE) linuxlib.o
+	$(AR) r$(ARFLAGS) $(LIB) linuxlib.o
+	@JUMP_DIR=../jump JUMP_LIB=libpp JUMP_OPT=-B/usr/dll/jump/ \
+		$(MAKE) ppversion.o
+	$(AR) r$(ARFLAGS) $(LIB) ppversion.o
+	$(RANLIB) ${LIB}
+	mv -f ${LIB} ../jump/.
+
 ${SHADOW}: $(LIB)
 	@$(MAKE) ppversion.o
 	$(AR) r$(ARFLAGS) $(LIB) ppversion.o
diff -u --recursive --new-file pp-6.0/Lib/addr/Makefile pp-6.0-linux/Lib/addr/Makefile
--- pp-6.0/Lib/addr/Makefile	Wed Dec 18 20:21:24 1991
+++ pp-6.0-linux/Lib/addr/Makefile	Fri Jul  8 09:23:01 1994
@@ -52,6 +52,8 @@
 
 default: $(SHADOW)
 
+linux-lib: $(SHADOW)
+
 $(SHADOW): $(OBJS)
 	$(AR) r$(ARFLAGS) ../libpp.a $?
 	touch $@
diff -u --recursive --new-file pp-6.0/Lib/addr/ap_ut.c pp-6.0-linux/Lib/addr/ap_ut.c
--- pp-6.0/Lib/addr/ap_ut.c	Wed Dec 18 20:21:30 1991
+++ pp-6.0-linux/Lib/addr/ap_ut.c	Thu Sep  2 12:39:51 1993
@@ -44,7 +44,7 @@
 
 
 int                             (*ap_gfunc)(); /* -- ptr to char get fn -- */
-int                             ap_peek; /* -- basic parse state info -- */
+extern int                      ap_peek; /* -- basic parse state info -- */
 extern int                      ap_perlev;
 extern int                      ap_grplev;
 AP_ptr                          ap_pstrt,
diff -u --recursive --new-file pp-6.0/Lib/addr/make pp-6.0-linux/Lib/addr/make
--- pp-6.0/Lib/addr/make	Wed Aug 21 07:52:52 1991
+++ pp-6.0-linux/Lib/addr/make	Tue Aug 31 09:50:06 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/charset/Makefile pp-6.0-linux/Lib/charset/Makefile
--- pp-6.0/Lib/charset/Makefile	Wed Dec 18 20:21:39 1991
+++ pp-6.0-linux/Lib/charset/Makefile	Fri Jul  8 09:18:53 1994
@@ -54,6 +54,8 @@
 
 default: ${SHADOW} xgc
 
+linux-lib: $(SHADOW)
+
 ${SHADOW}: $(LIBOBJS)
 	$(AR) r$(ARFLAGS) ../libpp.a $?
 	touch $@
diff -u --recursive --new-file pp-6.0/Lib/charset/make pp-6.0-linux/Lib/charset/make
--- pp-6.0/Lib/charset/make	Wed Aug 21 07:52:48 1991
+++ pp-6.0-linux/Lib/charset/make	Tue Aug 31 09:50:53 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f ./Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f ./Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/format/Makefile pp-6.0-linux/Lib/format/Makefile
--- pp-6.0/Lib/format/Makefile	Wed Dec 18 20:22:06 1991
+++ pp-6.0-linux/Lib/format/Makefile	Fri Jul  8 09:23:16 1994
@@ -53,6 +53,8 @@
 
 default: $(SHADOW)
 
+linux-lib: $(SHADOW)
+
 $(SHADOW): $(OBJS)
 	$(AR) r$(ARFLAGS) ../libpp.a $?
 	touch $@
diff -u --recursive --new-file pp-6.0/Lib/format/UTC2rfc.c pp-6.0-linux/Lib/format/UTC2rfc.c
--- pp-6.0/Lib/format/UTC2rfc.c	Wed Dec 18 20:22:07 1991
+++ pp-6.0-linux/Lib/format/UTC2rfc.c	Wed Sep  1 13:29:55 1993
@@ -37,8 +37,12 @@
 
 extern int dmsize[];
 extern CMD_TABLE        tbl_month[];
+
+#ifndef _POSIX_SOURCE
 extern time_t time ();
 extern	int abs ();
+#endif
+
 static int makewkday ();
 
 
diff -u --recursive --new-file pp-6.0/Lib/format/make pp-6.0-linux/Lib/format/make
--- pp-6.0/Lib/format/make	Wed Aug 21 07:52:49 1991
+++ pp-6.0-linux/Lib/format/make	Tue Aug 31 09:50:36 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/format/rfc2msgid.c pp-6.0-linux/Lib/format/rfc2msgid.c
--- pp-6.0/Lib/format/rfc2msgid.c	Wed Dec 18 20:22:11 1991
+++ pp-6.0-linux/Lib/format/rfc2msgid.c	Thu Jul  7 15:12:42 1994
@@ -59,7 +59,8 @@
 	/* put in loc dom and string */
 	if ((int) strlen(str) > UB_LOCAL_ID_LENGTH) {
 		char tbuf[UB_LOCAL_ID_LENGTH + 1];
-		(void) strncap (tbuf, str, UB_LOCAL_ID_LENGTH);
+/*		(void) strncap (tbuf, str, UB_LOCAL_ID_LENGTH); */
+		(void) strncpy (tbuf, str, UB_LOCAL_ID_LENGTH);
 		tbuf[UB_LOCAL_ID_LENGTH] = 0;
 		mp->mpduid_string = strdup (tbuf);
 	}
diff -u --recursive --new-file pp-6.0/Lib/io/Makefile pp-6.0-linux/Lib/io/Makefile
--- pp-6.0/Lib/io/Makefile	Wed Dec 18 20:22:27 1991
+++ pp-6.0-linux/Lib/io/Makefile	Fri Jul  8 09:23:23 1994
@@ -49,6 +49,8 @@
 
 default: $(SHADOW)
 
+linux-lib: $(SHADOW)
+
 $(SHADOW): $(OBJS)
 	$(AR) r$(ARFLAGS) ../libpp.a $?
 	touch $@
diff -u --recursive --new-file pp-6.0/Lib/io/io_lib.c pp-6.0-linux/Lib/io/io_lib.c
--- pp-6.0/Lib/io/io_lib.c	Wed Dec 18 20:22:27 1991
+++ pp-6.0-linux/Lib/io/io_lib.c	Wed Mar  9 16:03:15 1994
@@ -610,9 +610,9 @@
 
 	if (io_wfp == NULLFILE || io_rfp == NULLFILE)
 	{	int was = errno;
-		if (io_wfp == NULLFILE)
+		if (io_wfp != NULLFILE)
 			(void) fclose(io_wfp);
-		if (io_rfp == NULLFILE)
+		if (io_rfp != NULLFILE)
 			(void) fclose(io_rfp);
 		(void) close(sd);
 		errno = was;
diff -u --recursive --new-file pp-6.0/Lib/io/make pp-6.0-linux/Lib/io/make
--- pp-6.0/Lib/io/make	Wed Aug 21 07:52:51 1991
+++ pp-6.0-linux/Lib/io/make	Tue Aug 31 09:50:15 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/linuxlib.c pp-6.0-linux/Lib/linuxlib.c
--- pp-6.0/Lib/linuxlib.c	Thu Jan  1 01:00:00 1970
+++ pp-6.0-linux/Lib/linuxlib.c	Tue Jul 12 11:17:57 1994
@@ -0,0 +1,27 @@
+/* The following stubs are for the Linux shared library. Normally they
+ * are overridden from the application code.
+ */
+
+#include "../h/head.h"
+#include "../h/util.h"
+#include "../h/chan.h"
+#include "../h/auth.h"
+#include "../h/list_rchan.h"
+#include "../h/adr.h"
+#include <isode/cmd_srch.h>
+#include "../h/dr.h"
+
+
+CMD_TABLE        drtbl_rep[] = { {0, 0} };
+
+CHAN		*ch_inbound = 0;
+
+
+adios()
+{
+}
+
+void
+advise()
+{
+}
diff -u --recursive --new-file pp-6.0/Lib/make pp-6.0-linux/Lib/make
--- pp-6.0/Lib/make	Wed Aug 21 07:52:48 1991
+++ pp-6.0-linux/Lib/make	Tue Aug 31 09:50:58 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/or/Makefile pp-6.0-linux/Lib/or/Makefile
--- pp-6.0/Lib/or/Makefile	Wed Dec 18 20:23:09 1991
+++ pp-6.0-linux/Lib/or/Makefile	Fri Jul  8 09:23:35 1994
@@ -66,6 +66,8 @@
 
 default: $(SHADOW)
 
+linux-lib: $(SHADOW)
+
 
 
 $(SHADOW): $(OBJS)
diff -u --recursive --new-file pp-6.0/Lib/or/make pp-6.0-linux/Lib/or/make
--- pp-6.0/Lib/or/make	Wed Aug 21 07:52:50 1991
+++ pp-6.0-linux/Lib/or/make	Tue Aug 31 09:50:28 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/parse/Makefile pp-6.0-linux/Lib/parse/Makefile
--- pp-6.0/Lib/parse/Makefile	Wed Dec 18 20:23:41 1991
+++ pp-6.0-linux/Lib/parse/Makefile	Fri Jul  8 09:23:44 1994
@@ -54,6 +54,8 @@
 
 default: $(SHADOW)
 
+linux-lib: $(SHADOW)
+
 $(SHADOW): $(OBJS)
 	   $(AR) r$(ARFLAGS) $(LIBPP) $?
 	   touch $@
diff -u --recursive --new-file pp-6.0/Lib/parse/make pp-6.0-linux/Lib/parse/make
--- pp-6.0/Lib/parse/make	Wed Aug 21 07:52:49 1991
+++ pp-6.0-linux/Lib/parse/make	Tue Aug 31 09:50:44 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/pp/Makefile pp-6.0-linux/Lib/pp/Makefile
--- pp-6.0/Lib/pp/Makefile	Wed Dec 18 20:49:16 1991
+++ pp-6.0-linux/Lib/pp/Makefile	Fri Jul  8 09:23:53 1994
@@ -64,6 +64,8 @@
 
 default: ${SHADOW}
 
+linux-lib: $(SHADOW)
+
 ${SHADOW}: $(OBJS)
 	$(AR) r$(ARFLAGS) ../libpp.a $?
 	touch $@
diff -u --recursive --new-file pp-6.0/Lib/pp/make pp-6.0-linux/Lib/pp/make
--- pp-6.0/Lib/pp/make	Wed Aug 21 07:52:51 1991
+++ pp-6.0-linux/Lib/pp/make	Tue Aug 31 09:50:19 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/ppversion.c pp-6.0-linux/Lib/ppversion.c
--- pp-6.0/Lib/ppversion.c	Thu Jan  1 01:00:00 1970
+++ pp-6.0-linux/Lib/ppversion.c	Fri Jul  8 17:29:05 1994
@@ -0,0 +1 @@
+char *ppversion = "pp 6.0 #64 (purplet) of Fri Jul  8 17:29:05 BST 1994";
diff -u --recursive --new-file pp-6.0/Lib/qmgr/Makefile pp-6.0-linux/Lib/qmgr/Makefile
--- pp-6.0/Lib/qmgr/Makefile	Wed Dec 18 20:23:58 1991
+++ pp-6.0-linux/Lib/qmgr/Makefile	Fri Jul  8 09:23:59 1994
@@ -54,6 +54,8 @@
 
 default: $(SHADOW)
 
+linux-lib: $(SHADOW)
+
 $(SHADOW): $(OBJS)
 	$(AR) r$(ARFLAGS) ../libpp.a $?
 	touch $@
diff -u --recursive --new-file pp-6.0/Lib/qmgr/make pp-6.0-linux/Lib/qmgr/make
--- pp-6.0/Lib/qmgr/make	Wed Aug 21 07:52:50 1991
+++ pp-6.0-linux/Lib/qmgr/make	Tue Aug 31 09:50:32 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/table/Makefile pp-6.0-linux/Lib/table/Makefile
--- pp-6.0/Lib/table/Makefile	Wed Dec 18 20:24:28 1991
+++ pp-6.0-linux/Lib/table/Makefile	Fri Jul  8 09:24:05 1994
@@ -51,6 +51,8 @@
 
 default: ${SHADOW}
 
+linux-lib: $(SHADOW)
+
 ${SHADOW}: $(OBJS)
 	$(AR) r$(ARFLAGS) ../libpp.a $?
 	touch $@
diff -u --recursive --new-file pp-6.0/Lib/table/make pp-6.0-linux/Lib/table/make
--- pp-6.0/Lib/table/make	Wed Aug 21 07:52:51 1991
+++ pp-6.0-linux/Lib/table/make	Tue Aug 31 09:50:10 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/table/tb_getauth.c pp-6.0-linux/Lib/table/tb_getauth.c
--- pp-6.0/Lib/table/tb_getauth.c	Wed Dec 18 20:24:31 1991
+++ pp-6.0-linux/Lib/table/tb_getauth.c	Wed Sep  1 14:33:31 1993
@@ -95,7 +95,10 @@
 extern char			*mta_auth_tbl;
 extern char			*user_auth_tbl;
 extern char			*ad_getlocal();
+
+#ifndef _POSIX_SOURCE
 extern long			atol ();
+#endif
 
 
 /* -- local routines */
diff -u --recursive --new-file pp-6.0/Lib/tai/Makefile pp-6.0-linux/Lib/tai/Makefile
--- pp-6.0/Lib/tai/Makefile	Wed Dec 18 20:25:00 1991
+++ pp-6.0-linux/Lib/tai/Makefile	Fri Jul  8 09:24:11 1994
@@ -50,6 +50,8 @@
 
 default: ${SHADOW}
 
+linux-lib: $(SHADOW)
+
 ${SHADOW}: $(OBJS)
 	$(AR) r$(ARFLAGS) ../libpp.a $?
 	touch $@
diff -u --recursive --new-file pp-6.0/Lib/tai/init_tai.c pp-6.0-linux/Lib/tai/init_tai.c
--- pp-6.0/Lib/tai/init_tai.c	Wed Dec 18 20:25:01 1991
+++ pp-6.0-linux/Lib/tai/init_tai.c	Tue Jul  5 12:38:14 1994
@@ -331,8 +331,12 @@
 	struct logpairs *lp;
 
 	for (lp = logpairs; lp -> name; lp ++) {
-		if (flags & TAI_LOGS)
+		if (flags & TAI_LOGS) {
 			**(lp -> isode_log) = *pp_log_norm;
+			if ((*(lp->isode_log))->ll_dhdr)
+				(*(lp->isode_log))->ll_dhdr
+					= strdup((*(lp->isode_log))->ll_dhdr);
+		}
 		*(lp -> isode_save) = *(lp -> isode_log);
 		if (flags & TAI_LOGS)
 			*(lp -> isode_log) = dummy;
diff -u --recursive --new-file pp-6.0/Lib/tai/make pp-6.0-linux/Lib/tai/make
--- pp-6.0/Lib/tai/make	Wed Aug 21 07:52:50 1991
+++ pp-6.0-linux/Lib/tai/make	Tue Aug 31 09:50:23 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/util/Makefile pp-6.0-linux/Lib/util/Makefile
--- pp-6.0/Lib/util/Makefile	Wed Dec 18 20:25:18 1991
+++ pp-6.0-linux/Lib/util/Makefile	Fri Jul  8 09:24:19 1994
@@ -56,6 +56,8 @@
 
 default: ${SHADOW}
 
+linux-lib: $(SHADOW)
+
 ${SHADOW}: $(OBJS)
 	$(AR) r$(ARFLAGS) ../libpp.a $?
 	touch $@
diff -u --recursive --new-file pp-6.0/Lib/util/lock.c pp-6.0-linux/Lib/util/lock.c
--- pp-6.0/Lib/util/lock.c	Wed Dec 18 20:25:22 1991
+++ pp-6.0-linux/Lib/util/lock.c	Wed Sep 15 16:41:55 1993
@@ -102,7 +102,7 @@
 		}
 		break;
 	}
-	PP_OPER (NULLCP, ("Specified styple of locking (%d) not supported",
+	PP_OPER (NULLCP, ("Specified style of locking (%d) not supported",
 			  lockstyle));
 	return NULL;
 }
diff -u --recursive --new-file pp-6.0/Lib/util/make pp-6.0-linux/Lib/util/make
--- pp-6.0/Lib/util/make	Wed Aug 21 07:52:52 1991
+++ pp-6.0-linux/Lib/util/make	Tue Aug 31 09:50:02 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Lib/util/recrm.c pp-6.0-linux/Lib/util/recrm.c
--- pp-6.0/Lib/util/recrm.c	Wed Dec 18 20:25:24 1991
+++ pp-6.0-linux/Lib/util/recrm.c	Thu Jul 14 15:49:43 1994
@@ -13,6 +13,7 @@
  *
  */
 
+#include <stdio.h> /* XXXXXXXXXXX */
 #include "util.h"
 #include <isode/usr.dirent.h>
 #include <sys/stat.h>
@@ -63,7 +64,8 @@
 	(void) strcpy (currentdir, dir); /* for rmFiles use */
 	cdp = buf + strlen(buf);
 
-	noOfSubdirs = _scandir(buf, &namelist, rmFiles, NULLIFP);
+	namelist = NULL;
+	noOfSubdirs = scandir(buf, &namelist, rmFiles, NULLIFP);
 
 	for (i = 0, ix = namelist; i++ < noOfSubdirs && *ix; ix++) {
 		*cdp ++ = '/';
diff -u --recursive --new-file pp-6.0/Lib/util/siginit.c pp-6.0-linux/Lib/util/siginit.c
--- pp-6.0/Lib/util/siginit.c	Wed Dec 18 20:25:26 1991
+++ pp-6.0-linux/Lib/util/siginit.c	Wed Sep  1 14:52:46 1993
@@ -30,15 +30,23 @@
 
 	mask = sigblock (sigmask(SIGILL) |
 			 sigmask(SIGFPE) |
+#ifdef SIGBUS
 			 sigmask(SIGBUS) |
+#endif
 			 sigmask(SIGSEGV) |
+#ifdef SIGSYS
 			 sigmask(SIGSYS) |
+#endif
 			 sigmask(SIGPIPE) );
 	(void) signal (SIGILL, onsig);
 	(void) signal (SIGFPE, onsig);
+#ifdef SIGBUS
 	(void) signal (SIGBUS, onsig);
+#endif
 	(void) signal (SIGSEGV, onsig);
+#ifdef SIGSYS
 	(void) signal (SIGSYS, onsig);
+#endif
 	(void) signal (SIGPIPE, onsig);
 	(void) sigsetmask (mask);
 }
diff -u --recursive --new-file pp-6.0/Lib/version.sh pp-6.0-linux/Lib/version.sh
--- pp-6.0/Lib/version.sh	Wed Dec 18 20:26:15 1991
+++ pp-6.0-linux/Lib/version.sh	Mon Jul  4 15:34:18 1994
@@ -1,7 +1,6 @@
 : run this script through /bin/sh
 
 : this hacks past a bug in make...
-exec 3<&- 4<&- 5<&- 6<&- 7<&-
 
 OFS="$IFS" IFS=:
 
diff -u --recursive --new-file pp-6.0/Lib/x400/Makefile pp-6.0-linux/Lib/x400/Makefile
--- pp-6.0/Lib/x400/Makefile	Wed Dec 18 20:25:37 1991
+++ pp-6.0-linux/Lib/x400/Makefile	Fri Jul  8 09:24:27 1994
@@ -56,6 +56,8 @@
 
 default: ${SHADOW}
 
+linux-lib: $(SHADOW)
+
 
 ${SHADOW}: $(OBJS)
 	$(AR) r$(ARFLAGS) ../libpp.a $?
diff -u --recursive --new-file pp-6.0/Lib/x400/make pp-6.0-linux/Lib/x400/make
--- pp-6.0/Lib/x400/make	Wed Aug 21 07:52:49 1991
+++ pp-6.0-linux/Lib/x400/make	Tue Aug 31 09:50:48 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Src/LINEconsole/badness.c pp-6.0-linux/Src/LINEconsole/badness.c
--- pp-6.0/Src/LINEconsole/badness.c	Wed Dec 18 20:26:31 1991
+++ pp-6.0-linux/Src/LINEconsole/badness.c	Wed Sep  1 16:52:14 1993
@@ -20,7 +20,9 @@
 #define	DEFAULT_TOTAL_NUMBER	10000.0
 #define DEFAULT_TOTAL_VOLUME	1000000.0
 static struct tailor	*tailors = NULL;
+#ifndef atof
 extern double 	atof();
+#endif
 extern char	tailorfile[];
 extern int	max_vert_lines;
 extern time_t   currentTime;
diff -u --recursive --new-file pp-6.0/Src/LINEconsole/make pp-6.0-linux/Src/LINEconsole/make
--- pp-6.0/Src/LINEconsole/make	Wed Aug 21 07:52:47 1991
+++ pp-6.0-linux/Src/LINEconsole/make	Tue Aug 31 09:51:25 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Src/MTAconsole/badness.c pp-6.0-linux/Src/MTAconsole/badness.c
--- pp-6.0/Src/MTAconsole/badness.c	Wed Dec 18 20:26:52 1991
+++ pp-6.0-linux/Src/MTAconsole/badness.c	Wed Sep  1 15:14:09 1993
@@ -20,7 +20,9 @@
 #define	DEFAULT_TOTAL_NUMBER	10000.0
 #define DEFAULT_TOTAL_VOLUME	1000000.0
 struct tailor	*tailors = NULL;
+#ifndef atof
 extern double 	atof();
+#endif
 extern char	tailorfile[];
 extern int	max_vert_lines;
 extern time_t   currentTime;
diff -u --recursive --new-file pp-6.0/Src/MTAconsole/make pp-6.0-linux/Src/MTAconsole/make
--- pp-6.0/Src/MTAconsole/make	Wed Aug 21 07:52:47 1991
+++ pp-6.0-linux/Src/MTAconsole/make	Tue Aug 31 09:51:11 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Src/MTAconsole/parse.c pp-6.0-linux/Src/MTAconsole/parse.c
--- pp-6.0/Src/MTAconsole/parse.c	Wed Dec 18 20:26:58 1991
+++ pp-6.0-linux/Src/MTAconsole/parse.c	Wed Sep  1 16:47:25 1993
@@ -15,6 +15,10 @@
 
 
 
+#ifdef __linux__
+#include <sys/time.h>
+#endif
+
 #include 	"console.h"
 
 /* convert a given string to time */
diff -u --recursive --new-file pp-6.0/Src/lconsole/make pp-6.0-linux/Src/lconsole/make
--- pp-6.0/Src/lconsole/make	Fri Sep 13 10:28:54 1991
+++ pp-6.0-linux/Src/lconsole/make	Tue Aug 31 09:51:34 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Src/make pp-6.0-linux/Src/make
--- pp-6.0/Src/make	Wed Aug 21 07:52:46 1991
+++ pp-6.0-linux/Src/make	Tue Aug 31 09:51:30 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Src/pptsapd/make pp-6.0-linux/Src/pptsapd/make
--- pp-6.0/Src/pptsapd/make	Wed Aug 21 07:52:48 1991
+++ pp-6.0-linux/Src/pptsapd/make	Tue Aug 31 09:51:06 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Src/pptsapd/pptsapd.c pp-6.0-linux/Src/pptsapd/pptsapd.c
--- pp-6.0/Src/pptsapd/pptsapd.c	Wed Dec 18 20:27:32 1991
+++ pp-6.0-linux/Src/pptsapd/pptsapd.c	Wed Sep 15 14:46:00 1993
@@ -99,11 +99,13 @@
 			    sel2str (na -> na_pid, na -> na_pidlen, 1));
 		    break;
 
+#ifdef NA_BRG
 		case NA_BRG:
 		    advise (LLOG_NOTICE, NULLCP,
 			    "listening on X.25 (BRIDGE) %s %s", na2str (na),
 			    sel2str (na -> na_pid, na -> na_pidlen, 1));
 		    break;
+#endif
 
 		case NA_NSAP:
 		    advise (LLOG_NOTICE, NULLCP, "listening on NS %s",
@@ -285,7 +287,7 @@
 		    pptailor = optarg;
 		    break;
 		default:
-		    adios (NULLCP, "Usage %s [-t tailor] [-c address]");
+		    adios (NULLCP, "Usage %s [-t tailor] [-c address]", argv[0]);
 		    break;
 	    }
     }
@@ -328,6 +330,9 @@
 	(void) dup2 (0, 1);
 	(void) dup2 (0, 2);
 
+#ifdef _POSIX_SOURCE
+	setsid();
+#else
 #ifdef  TIOCNOTTY
 	if ((sd = open ("/dev/tty", O_RDWR)) != NOTOK) {
 	    (void) ioctl (sd, TIOCNOTTY, NULLCP);
@@ -338,6 +343,7 @@
 	(void) setpgrp ();
 	(void) signal (SIGINT, SIG_IGN);
 	(void) signal (SIGQUIT, SIG_IGN);
+#endif
 #endif
 #endif
     }
diff -u --recursive --new-file pp-6.0/Src/qmgr/chans.c pp-6.0-linux/Src/qmgr/chans.c
--- pp-6.0/Src/qmgr/chans.c	Wed Dec 18 20:27:40 1991
+++ pp-6.0-linux/Src/qmgr/chans.c	Thu Mar 10 09:25:42 1994
@@ -159,12 +159,13 @@
 
 	PP_TRACE (("create_chan (%s)", chan -> ch_name));
 
-	if (nchanlist == 0)
+	if (nchanlist == 0) {
 		chan_list = (Chanlist **) malloc (sizeof (Chanlist *));
-	else
+	} else {
 		chan_list = (Chanlist **) realloc ((char *)chan_list,
 						   (unsigned)(nchanlist + 1)
 						   * sizeof (Chanlist *));
+	}
 	chan_list[nchanlist] = clp = (Chanlist *) calloc (1, sizeof (Chanlist));
 	clp -> channame = chan -> ch_name;
 	clp -> chan = chan;
@@ -205,8 +206,9 @@
 	if (chan -> ch_sort[0] != CH_SORT_NONE)
 		clp -> mta_hash = (Mtalist **)
 			calloc (MTA_HASHSIZE, sizeof (*clp->mta_hash));
-	if (clp -> chan_special)
+	if (clp -> chan_special) {
 		addtorunq (clp);
+	}
 	nchanlist ++;
 }
 
@@ -482,7 +484,7 @@
 	n = getdtablesize ();
 
 	i = (isatty(2) ? 3 : 0);
-	for (; i <= n; i++)
+	for (; i < n; i++)
 		(void) close (i);
 #ifdef notdef
 	for (i = 0; i < NSIG; i++)
diff -u --recursive --new-file pp-6.0/Src/qmgr/make pp-6.0-linux/Src/qmgr/make
--- pp-6.0/Src/qmgr/make	Wed Aug 21 07:52:47 1991
+++ pp-6.0-linux/Src/qmgr/make	Tue Aug 31 09:51:18 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Src/qmgr/ryresponder.c pp-6.0-linux/Src/qmgr/ryresponder.c
--- pp-6.0/Src/qmgr/ryresponder.c	Wed Dec 18 20:27:42 1991
+++ pp-6.0-linux/Src/qmgr/ryresponder.c	Thu Jul 14 15:54:56 1994
@@ -99,7 +99,7 @@
 
 #ifdef	SETSID
 	(void) setsid ();
-#endif
+#else
 #ifdef	TIOCNOTTY
 	if ((i = open ("/dev/tty", O_RDWR)) != NOTOK) {
 		(void) ioctl (i, TIOCNOTTY, NULLCP);
@@ -112,7 +112,8 @@
 	(void) signal (SIGQUIT, SIG_IGN);
 #endif
 #endif
-	isodexport (NULLCP);	/* re-initialize logfiles */
+#endif
+	isodexport (NULLCP);	 /* re-initialize logfiles */
 }
 
 /*    RESPONDER */
diff -u --recursive --new-file pp-6.0/Src/submit/make pp-6.0-linux/Src/submit/make
--- pp-6.0/Src/submit/make	Wed Aug 21 07:52:48 1991
+++ pp-6.0-linux/Src/submit/make	Tue Aug 31 09:51:02 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/bin2ascii/make pp-6.0-linux/Tools/bin2ascii/make
--- pp-6.0/Tools/bin2ascii/make	Wed Aug 21 07:52:30 1991
+++ pp-6.0-linux/Tools/bin2ascii/make	Tue Aug 31 09:55:40 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/bin2hex/make pp-6.0-linux/Tools/bin2hex/make
--- pp-6.0/Tools/bin2hex/make	Wed Aug 21 07:52:26 1991
+++ pp-6.0-linux/Tools/bin2hex/make	Tue Aug 31 09:56:49 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/ckadr/make pp-6.0-linux/Tools/ckadr/make
--- pp-6.0/Tools/ckadr/make	Wed Aug 21 07:52:32 1991
+++ pp-6.0-linux/Tools/ckadr/make	Tue Aug 31 09:55:16 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/ckchan/make pp-6.0-linux/Tools/ckchan/make
--- pp-6.0/Tools/ckchan/make	Wed Aug 21 07:52:30 1991
+++ pp-6.0-linux/Tools/ckchan/make	Tue Aug 31 09:55:45 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/ckconfig/make pp-6.0-linux/Tools/ckconfig/make
--- pp-6.0/Tools/ckconfig/make	Wed Aug 21 07:52:32 1991
+++ pp-6.0-linux/Tools/ckconfig/make	Tue Aug 31 09:55:20 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/ckmail/ckmail.c pp-6.0-linux/Tools/ckmail/ckmail.c
--- pp-6.0/Tools/ckmail/ckmail.c	Wed Dec 18 20:29:16 1991
+++ pp-6.0-linux/Tools/ckmail/ckmail.c	Thu Jul  7 14:26:29 1994
@@ -186,7 +186,7 @@
 	}
 	fillinaddr();
 	if (verbose == TRUE) {
-		printf("Please wait while attempt to connect to %s....",qhost);
+		printf("Please wait while attempting to connect to %s....",qhost);
 		fflush(stdout);
 	}
 	if (do_loop == TRUE) {
diff -u --recursive --new-file pp-6.0/Tools/ckmail/make pp-6.0-linux/Tools/ckmail/make
--- pp-6.0/Tools/ckmail/make	Wed Aug 21 07:52:34 1991
+++ pp-6.0-linux/Tools/ckmail/make	Tue Aug 31 09:54:59 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/ckor/make pp-6.0-linux/Tools/ckor/make
--- pp-6.0/Tools/ckor/make	Wed Aug 21 07:52:33 1991
+++ pp-6.0-linux/Tools/ckor/make	Tue Aug 31 09:55:07 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/dbmbuild/make pp-6.0-linux/Tools/dbmbuild/make
--- pp-6.0/Tools/dbmbuild/make	Wed Aug 21 07:52:34 1991
+++ pp-6.0-linux/Tools/dbmbuild/make	Tue Aug 31 09:55:03 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/dbmedit/make pp-6.0-linux/Tools/dbmedit/make
--- pp-6.0/Tools/dbmedit/make	Wed Aug 21 07:52:34 1991
+++ pp-6.0-linux/Tools/dbmedit/make	Tue Aug 31 09:54:54 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/dbmunbuild/make pp-6.0-linux/Tools/dbmunbuild/make
--- pp-6.0/Tools/dbmunbuild/make	Mon Dec  2 12:49:35 1991
+++ pp-6.0-linux/Tools/dbmunbuild/make	Tue Aug 31 09:55:24 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/ean2real/make pp-6.0-linux/Tools/ean2real/make
--- pp-6.0/Tools/ean2real/make	Wed Aug 21 07:52:26 1991
+++ pp-6.0-linux/Tools/ean2real/make	Tue Aug 31 09:56:58 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/hex2bin/make pp-6.0-linux/Tools/hex2bin/make
--- pp-6.0/Tools/hex2bin/make	Wed Aug 21 07:52:30 1991
+++ pp-6.0-linux/Tools/hex2bin/make	Tue Aug 31 09:55:49 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/make pp-6.0-linux/Tools/make
--- pp-6.0/Tools/make	Wed Aug 21 07:52:26 1991
+++ pp-6.0-linux/Tools/make	Tue Aug 31 09:57:02 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/make-lists/make pp-6.0-linux/Tools/make-lists/make
--- pp-6.0/Tools/make-lists/make	Wed Aug 21 07:52:26 1991
+++ pp-6.0-linux/Tools/make-lists/make	Tue Aug 31 09:56:54 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/misc/make pp-6.0-linux/Tools/misc/make
--- pp-6.0/Tools/misc/make	Wed Aug 21 07:52:33 1991
+++ pp-6.0-linux/Tools/misc/make	Tue Aug 31 09:55:12 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/mkpasswd/make pp-6.0-linux/Tools/mkpasswd/make
--- pp-6.0/Tools/mkpasswd/make	Wed Aug 21 07:52:31 1991
+++ pp-6.0-linux/Tools/mkpasswd/make	Tue Aug 31 09:55:36 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/mlist/make pp-6.0-linux/Tools/mlist/make
--- pp-6.0/Tools/mlist/make	Wed Aug 21 07:52:35 1991
+++ pp-6.0-linux/Tools/mlist/make	Tue Aug 31 09:54:46 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/mpp84/make pp-6.0-linux/Tools/mpp84/make
--- pp-6.0/Tools/mpp84/make	Wed Aug 21 07:52:27 1991
+++ pp-6.0-linux/Tools/mpp84/make	Tue Aug 31 09:56:37 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/mpp88/make pp-6.0-linux/Tools/mpp88/make
--- pp-6.0/Tools/mpp88/make	Wed Aug 21 07:52:27 1991
+++ pp-6.0-linux/Tools/mpp88/make	Tue Aug 31 09:56:41 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/mu/make pp-6.0-linux/Tools/mu/make
--- pp-6.0/Tools/mu/make	Wed Aug 21 07:52:34 1991
+++ pp-6.0-linux/Tools/mu/make	Tue Aug 31 09:54:50 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
